unit GUI;

interface

uses
  Winapi.Windows, Winapi.Messages, System.SysUtils, System.Variants, System.Classes, Vcl.Graphics,
  Vcl.Controls, Vcl.Forms, Vcl.Dialogs, Vcl.StdCtrls, klassen;

type
  TForm1 = class(TForm)
    ed_marke: TEdit;
    Label1: TLabel;
    Label2: TLabel;
    ed_typ: TEdit;
    Label3: TLabel;
    ed_bj: TEdit;
    Label4: TLabel;
    ed_km: TEdit;
    Label5: TLabel;
    ed_preis: TEdit;
    lb: TListBox;
    bt_einlesen: TButton;
    bt_ausgabe: TButton;
    bt_save: TButton;
    bt_load: TButton;
    procedure bt_einlesenClick(Sender: TObject);
    procedure FormCreate(Sender: TObject);
    procedure bt_ausgabeClick(Sender: TObject);
    procedure bt_saveClick(Sender: TObject);
    procedure bt_loadClick(Sender: TObject);
  private
    { Private-Deklarationen }
  public
    { Public-Deklarationen }
  end;

var
  Form1: TForm1;
  ga1:Tgarage;


implementation

{$R *.dfm}

procedure TForm1.bt_ausgabeClick(Sender: TObject);
var i:integer;
begin
 lb.clear;
 lb.items:=ga1.ausgeben;
 ga1.ausgeben.Free;
end;

procedure TForm1.bt_einlesenClick(Sender: TObject);
 var n:integer;
begin
 ga1.dazu(ed_marke.text,ed_typ.text,strtoint(ed_bj.text),strtoint(ed_km.text),strtofloat(ed_preis.text) );
 ed_marke.clear;
 ed_typ.clear;
 ed_bj.clear;
 ed_km.clear;
 ed_preis.clear;
 ed_marke.setfocus;
end;

procedure TForm1.bt_loadClick(Sender: TObject);
var sd:Topendialog;
begin
 sd:=topendialog.create(form1);
 sd.filter:='Auto-Dateien|*.aut';
 if sd.execute then ga1.laden(sd.filename);
 sd.free;
end;

procedure TForm1.bt_saveClick(Sender: TObject);
 var sd:Tsavedialog;
begin
 sd:=tsavedialog.create(form1);
 sd.filter:='Auto-Dateien|*.aut';
 sd.defaultext:='aut';
 if sd.execute then  ga1.speichern(sd.FileName);
 sd.free;
end;

procedure TForm1.FormCreate(Sender: TObject);
begin
ga1:=Tgarage.Create;

end;

end.
